Index: kernel/classes/datatypes/ezcountry/ezcountrytype.php
===================================================================
--- kernel/classes/datatypes/ezcountry/ezcountrytype.php	(revision 23448)
+++ kernel/classes/datatypes/ezcountry/ezcountrytype.php	(working copy)
@@ -83,8 +83,16 @@
             if ( $translatedName )
                 $countries[$countryKey]['Name'] = $translatedName;
         }
+        usort( $countries, 'eZCountryType::cmp' );
     }
 
+    /* Helper function for fetchTranslatedNames
+     */
+    public static function cmp( $a, $b )
+    {
+        return strcoll( $a["Name"], $b["Name"] );
+    }
+    
     /*!
       Fetches country by \a $fetchBy.
       if \a $fetchBy is false country name will be used.
